package com.hzya.frame.seeyon.invoice.dao;

import com.alibaba.fastjson.JSONObject;
import com.hzya.frame.basedao.dao.IBaseDao;
import com.hzya.frame.mdm.mdmModuleSource.entity.MdmModuleSourceEntity;
import com.hzya.frame.seeyon.invoice.entity.InvoiceEntity;

import java.util.HashMap;
import java.util.List;

public interface IInvoiceDao extends IBaseDao<InvoiceEntity,String> {

    /**
     *
     * @content 查询需要推送税务的数据
     * @Param
     * @Return
     * @Author hecan
     * @Date 2025-04-01 15:33
     * **/
    List<HashMap<String, Object>> queryInvoice(String str , MdmModuleSourceEntity entity);

    /**
     *
     * @content 查询申请单详情
     * @Param
     * @Return
     * @Author hecan
     * @Date 2025-04-07 14:05
     * **/
    List<InvoiceEntity> queryInvoiceResult(InvoiceEntity entity);
}
